Skip to main content
`Ctrl`+`K`

# modularity_spectrum

modularity_spectrum(G)

  Returns eigenvalues of the modularity matrix of G.

  Parameters:
    G Graph

      A NetworkX Graph or DiGraph

  Returns:
    evals NumPy array

      Eigenvalues

  See also

  `modularity_matrix`

  References

  [1]

  M. E. J. Newman, “Modularity and community structure in networks”, Proc. Natl. Acad. Sci. USA, vol. 103, pp. 8577-8582, 2006.